%global modulename fill-range

%global npmlib_dir %{npmlib_sitelib}
%global nodejs_dir %{nodejs_sitelib}

%define __requires_exclude_from ^%{npmlib_dir}/%{modulename}/%{version}/tests?/.*

Name:           npmlib-fill-range
Version:        4.0.0
Release:        1%{?dist}
Summary:        Fill in a range of numbers or letters, optionally passing an increment or `step` to use, or create a regex-compatible range with `options.toRegex`

License:        MIT
URL:            https://github.com/jonschlinkert/fill-range
Source0:        https://registry.npmjs.org/fill-range/-/fill-range-4.0.0.tgz


BuildRequires:  npmlib-packaging

BuildArch:      noarch
ExclusiveArch:  %{nodejs_arches} noarch

BuildRequires:  ((npmlib(extend-shallow) >= 2.0.1 with npmlib(extend-shallow) < 3.0.0))
BuildRequires:  ((npmlib(is-number) >= 3.0.0 with npmlib(is-number) < 4.0.0))
BuildRequires:  ((npmlib(repeat-string) >= 1.6.1 with npmlib(repeat-string) < 2.0.0))
BuildRequires:  ((npmlib(to-regex-range) >= 2.1.0 with npmlib(to-regex-range) < 3.0.0))

Requires:       npmlib(%{modulename}) = %{version}

%description
Fill in a range of numbers or letters, optionally passing an increment or `step` to use, or create a regex-compatible range with `options.toRegex`

%package 4.0.0
Summary:        Fill in a range of numbers or letters, optionally passing an increment or `step` to use, or create a regex-compatible range with `options.toRegex`


%description 4.0.0
Fill in a range of numbers or letters, optionally passing an increment or `step` to use, or create a regex-compatible range with `options.toRegex`

%prep
%autosetup -p0 -n package

%build
# Nothing to build

%install
mkdir -p %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr index.js %{buildroot}%{npmlib_dir}/%{modulename}/%{version}
cp -pr package.json %{buildroot}%{npmlib_dir}/%{modulename}/%{version}



mkdir -p %{buildroot}%{nodejs_dir}
ln -s %{npmlib_dir}/%{modulename}/%{version} %{buildroot}/%{nodejs_dir}/%{modulename}

%{npmlib_symlink_deps}

%check
rm -rf node_modules && %{npmlib_symlink_deps} .
%{__nodejs} -e 'require("./")'

%files
%doc README.md
%license LICENSE
%{nodejs_dir}/%{modulename}

%files 4.0.0
%doc README.md
%license LICENSE
%{npmlib_dir}/%{modulename}/%{version}
%dir %{npmlib_dir}/%{modulename}/

%changelog
* Wed Nov 28 2018 npm2srpm <dshea@redhat.com> - 4.0.0-1
- Package automatically generated by npm2srpm
